1.0

1.0

get /v1/volumes/{volume_id}

Description

파일스토리지를 상세 조회한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
볼륨 아이디
Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438
stringNone

Responses

HTTP CodeDescriptionSchema
200OKVolumeShowResponse
403ForbiddenNone
401UnauthorizedNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes/{volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.0"

Example HTTP response

Response 200

{
    "id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "name": "my_volume",
    "protocol": "NFS",
    "state": "available",
    "account_id": "rwww523320dfvwbbefefsdvwdadsfa24c",
    "created_at": "2024-07-30T04:54:33.219373",
    "type_id": "jef22f67-ee83-4gg2-2ab6-3lf774ekfjdu",
    "type_name": "HDD",
    "purpose": "replication",
    "path": "xxx.xx.xxx:/xxxxxxxx",
    "usage": 100000,
    "encryption_enabled": true,
    "file_unit_recovery_enabled": true,
    "cifs_id": "cifsid",
    "endpoint_path": "xxx.xx.xxx.xxx"
}